<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Author: Rene / Updated by Dallas
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."topliste/infusion_db.php";

if (file_exists(INFUSIONS."topliste/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."topliste/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.	
	include INFUSIONS."topliste/locale/English.php";
}
@opentable($locale['TOP_004']);
include INFUSIONS."topliste/top_config.php";
include INFUSIONS."topliste/header.php"; 

if ($submit AND $site AND $REQUEST_METHOD = "POST" AND $use_review == 1) {

        $review = trim($review);
	$review = preg_replace('/[^a-zA-Z ]/', '', $review);
	$review = htmlspecialchars($review);

        $name = trim($name);
	$name = preg_replace('/[^a-zA-Z ]/', '', $name);
	$name = htmlspecialchars($name);

	$check_top_email = check_top_email_addr($top_email);

	$err = "";
	if (!$name) $err.="<b>".$locale['TOP_036']."</b><BR>";
	if (!$top_email) $err.="<b>".$locale['TOP_038']."</b><BR>";
	if (!$review) $err.="<b>".$locale['TOP_123']."</b><BR>";
	if ($check_top_email == 0) $err.="<b>".$locale['TOP_050']."</b><BR>";
	if ($anti_review[$site] == 1) $err.="<b>".$locale['TOP_124']."</b>";
	
	if (!$err) { 
		$cdate = date ("Ymd");		
		$top_query = dbquery ("select postip from ".$db_prefix."top_review where sid='$site' AND postdate='$cdate' AND postip='$REMOTE_ADDR'") ;
		if (mysql_num_rows($top_query) > 0) {
			$perr=1;
		}
		else {
			dbquery ("insert into ".$db_prefix."top_review (postip,rating,sid,review,name,top_email) values ('$REMOTE_ADDR','$rating','$site','$review','$name','$top_email')") ;
			setcookie ("anti_review[$site]", "1",time()+86400);
		}
	}
}

if ($site) {
	if (!$from OR $from < 0 OR $from < $review_step) $from = 0;
	$top_query = dbquery ("select *,DATE_FORMAT(postdate, '%M/%d/%Y') as post_date from ".$db_prefix."top_review where sid='$site' ORDER BY rid DESC LIMIT $from,$review_step") ;
	$tquery = dbquery ("select count(rid) as rtotal from ".$db_prefix."top_review where sid='$site'") ;
	$squery = dbquery ("select title from ".$db_prefix."top_user where sid='$site' ") ;
	$srows = mysql_fetch_array($squery);

	if ($err) echo "<br><HR><center><font color='red'><b>$err</b></font></center>";
	if ($perr==1)  echo "<br><HR><center><font color='red'><b>".$locale['TOP_124']."</b></font></center>";

					
			echo '<br><HR><B>'.$locale['TOP_004'].'';

			$trows = mysql_fetch_array($tquery);

			$count = $trows[total];
			$i = 0;
			$step = $t_step;
			$sstep = 0;

			echo $round;
			while ($sstep < $count) {
				if ($from == $sstep) {

					echo " [$i] ";
				}
				else {
					echo " [<a href=\"?from=$sstep&cid=$cid\">$i</a>] ";
				}
					$sstep = $sstep + $step;
					$i++;
			}

	echo "</B></div>";

	
	while ($rows = mysql_fetch_array($top_query)) {
		echo "<HR><A HREF=\"mailto:$rows[top_email]\">$rows[name]</A><BR>
		".$locale['TOP_126']." $rows[rating]<BR>
		$rows[review] - $rows[post_date]";
	}
echo '
		<HR>
		<form action="review.php" method="post">
		<b>'.$locale['TOP_023'].'</b><BR>
		<input type=text name=name size=20 maxlenght=20><BR>
		<b>'.$locale['TOP_025'].'</b><BR>
		<input type=text name=top_email size=20 maxlenght=40><BR>';

		if (!$phptopsites_review[$site]) {
echo '
			<b>'.$locale['TOP_003'].'</b><BR>
			<select name=rating>
                       <option value=1>1 ('.$locale['TOP_100'].')</option>
				<option value=2>2</option>	
				<option value=3>3</option>	
				<option value=4>4</option>	
                <option value=5>5 ('.$locale['TOP_101'].')</option>
				<option value=6>6</option>	
				<option value=7>7</option>	
				<option value=8>8</option>	
				<option value=9>9</option>	
				<option value=10>10 ('.$locale['TOP_102'].')</option>
			</select><BR>';

		}
		else {
echo '
			<input type=hidden name=rating value="'.$phptopsites_review[$site].'">';
		}
echo '
		<b>'.$locale['TOP_127'].'</b><BR>
		<textarea rows=10 cols=40 name=review></textarea><BR>
		<input type=submit name=submit>
		<input type=reset name=reset>
		<input type=hidden name=site value="'.$site.'">
		</form>';

}

closetable();

require_once THEMES."templates/footer.php";
?>

