<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Author: Rene / Updated by Dallas
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."topliste/infusion_db.php";

if (!checkrights("IP")) redirect("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."topliste/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."topliste/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.	
	include INFUSIONS."topliste/locale/English.php";
}
include INFUSIONS."topliste/top_config.php";

opentable($locale['TOP_185']); 
include INFUSIONS."topliste/admin/header.php"; 

if ($kat == 'kat') {
	$top_query = dbquery ("select * from ".$db_prefix."top_cats order by catname") ;

echo '
		<table align="center" width=90% border=0 cellspacing=3 cellpadding=0>
		<tr><td colspan=3><br><a href="ceditor.php?kat=add_kat"><b>'.$locale['TOP_186'].'</b></A><br><br>
		  </td></tr>
		<tr>
			<td><b>'.$locale['TOP_187'].'</b></td>
			<td><b>'.$locale['TOP_188'].'</b></td>
			<td><b>'.$locale['TOP_208'].'</b></td>
		</tr>';

	while ($rows = mysql_fetch_array($top_query)) {
		echo "
		<tr>
			<td>$rows[cid]</td>
			<td>$rows[catname]</td>
			<td><a href=\"ceditor.php?kat=edit&cid=$rows[cid]\">".$locale['TOP_131']."</a> | <a href=\"ceditor.php?kat=del&cid=$rows[cid]\">".$locale['TOP_132']."</a></td>
		</tr>";	
	}
echo "</table>";
}

if ($kat=="add_kat") {
echo '
	<form action=ceditor.php method=post>
	<table align="center" width=90% border=0 cellspacing=3 cellpadding=0>
	<tr><td>'.$locale['TOP_188'].':</td><td><input type=text name=cats[]></td></tr>
	<tr><td>'.$locale['TOP_188'].':</td><td><input type=text name=cats[]></td></tr>
	<tr><td>'.$locale['TOP_188'].':</td><td><input type=text name=cats[]></td></tr>
	<tr><td>'.$locale['TOP_188'].':</td><td><input type=text name=cats[]></td></tr>
	<tr><td>'.$locale['TOP_188'].':</td><td><input type=text name=cats[]></td></tr>
	<tr><td>'.$locale['TOP_188'].':</td><td><input type=text name=cats[]></td></tr>
	<tr><td>'.$locale['TOP_188'].':</td><td><input type=text name=cats[]></td></tr>
	<tr><td>'.$locale['TOP_188'].':</td><td><input type=text name=cats[]></td></tr>
	<tr><td>'.$locale['TOP_188'].':</td><td><input type=text name=cats[]></td></tr>
	<tr><td>'.$locale['TOP_188'].':</td><td><input type=text name=cats[]></td></tr>
	<tr><td colspan=2><input type=submit name=submit></td></tr>
	</table>
	<input type=hidden name=add_kat value=add_kat>
	</form>';

}

if ($add_kat=="add_kat") {
	$num_rows=count($cats);
	$cc = 0;
	for($i = 0;$i < $num_rows;++$i){
		if($cats[$i]!="") {
			dbquery("insert into ".$db_prefix."top_cats (catname) values ('$cats[$i]')") ;
			$cc++;
		}
	}
	echo "<br><center><b>$cc ".$locale['TOP_189']."</b></center>";
	echo "<br><br><center><a href=ceditor.php?kat=add_kat><b>".$locale['TOP_186']."</b></a> | <a href=ceditor.php?kat=kat><b>".$locale['TOP_190']."</b></a></center>";
}

if ($kat == "edit" and !$submit) {
	$top_query = dbquery ("select * from ".$db_prefix."top_cats where cid=$cid") ;
	$rows = mysql_fetch_array($top_query);
	
	echo "
	<form action=ceditor.php method=post>
		<table align=\"center\" width=90% border=0 cellspacing=3 cellpadding=0>
		<tr>
		<td><b>".$locale['TOP_188']."</b></td><td><input type=text name=cname value=\"$rows[catname]\"></td>
		</tr>
		<tr><td colspan=3><input type=submit name=submit></td></tr>
		</table>
	<input type=hidden name=kat value=edit>
	<input type=hidden name=cid value=$rows[cid]>
	</form>
	";
}

if ($kat=="edit" and $submit) {
	dbquery("update ".$db_prefix."top_cats set catname='$cname' where cid=$cid") ;
	echo "<br><center><b>$cname ".$locale['TOP_191']."</b></center>";
	echo "<br><br><center><a href=ceditor.php?kat=add_kat><b>".$locale['TOP_186']."</b></a> | <a href=ceditor.php?kat=kat><b>".$locale['TOP_190']."</b></a></center>";

}

if ($kat=="del") {
	dbquery("delete from ".$db_prefix."top_cats where cid=$cid") ;
	echo "<br><center><b>".$locale['TOP_192']."</b></center>";
	echo "<br><br><center><a href=ceditor.php?kat=add_kat><b>".$locale['TOP_186']."</b></a> | <a href=ceditor.php?kat=kat><b>".$locale['TOP_190']."</b></a></center>";

}

closetable();

require_once THEMES."templates/footer.php";
?>