<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."topliste/infusion_db.php";

if (!checkrights("IP")) redirect("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."topliste/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."topliste/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
		include INFUSIONS."topliste/locale/English.php";
}
include INFUSIONS."topliste/top_config.php";
opentable($locale['TOP_179']); 
include INFUSIONS."topliste/admin/header.php";

echo "<br><br><table align=center border=1 cellpadding=3 cellspacing=0>";
echo "<tr>";
echo "<td><b>".$locale['TOP_180']."</b></td><td><b>".$locale['TOP_133']."</b></td>";
echo "</tr>";

echo "<tr><td>".$locale['TOP_181']." inc/count.txt</td><td>";
if (is_writable("$count_log_file")) echo "<font color=green>".$locale['TOP_182']."</font>";
else echo "<font color=red>".$locale['TOP_183']."</font> ".$locale['TOP_184']."";
echo "</td></tr>";

echo "<tr><td>".$locale['TOP_181']." inc/reset.txt</td><td>";
if (is_writable("$reset_log_file")) echo "<font color=green>".$locale['TOP_182']."</font>";
else echo "<font color=red>".$locale['TOP_183']."</font> ".$locale['TOP_184']."";
echo "</td></tr>";

echo "<tr><td>".$locale['TOP_181']." top_config.php</td><td>";
if (is_writable("../top_config.php")) echo "<font color=green>".$locale['TOP_182']."</font>";
else echo "<font color=red>".$locale['TOP_183']."</font> ".$locale['TOP_184']."";
echo "</td></tr>";

echo "</table><br><br>";
	
closetable();

require_once THEMES."templates/footer.php";
?>