<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."topliste/infusion_db.php";

if (!checkrights("IP")) redirect("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."topliste/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."topliste/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
		include INFUSIONS."topliste/locale/English.php";
}
include INFUSIONS."topliste/top_config.php";
opentable($locale['TOP_214']);
include INFUSIONS."topliste/admin/header.php";

$insert_count=$delete_count=$ignored_count=0;
$num_rows=count($sid);

for($i = 0; $i < $num_rows; ++$i){
	if($a[$i]=="Add Site"){
		if ($usedefault[$i] == "yes" || strlen($banner[$i]) <= 7) $banner[$i] = $url_no_images."";
		dbquery ("Update ".$db_prefix."top_user set banner='$banner[$i]',category=$category[$i],status='Y' Where sid=$sid[$i]") ;
		$msg = "".$locale['TOP_066']." $name[$i]\n".$locale['TOP_085']." $top_name.\n 
".$locale['TOP_052']." $sid[$i]\n".$locale['TOP_024']." $passwd[$i]\n".$locale['TOP_222']."\n<A HREF=\"$url_to_folder/in.php?site=$sid[$i]\"><IMG ALT=\"$top_name\" SRC=\"$vote_image_url\" BORDER=0></A>\n\n".$locale['TOP_221']." \n$top_name.\n";
		mail($top_email[$i],"".$locale['TOP_087']."",$msg,"From: $admin_top_email\nReply-To: $admin_top_email");
		++$insert_count;
	}
	if($a[$i]=="Reject Site"){
		dbquery ("delete from ".$db_prefix."top_user Where sid=$sid[$i]") ;
		dbquery ("delete from ".$db_prefix."top_hits where sid=$sid[$i]") ;
		dbquery ("delete from ".$db_prefix."top_review where sid=$sid[$i]") ;
		$msg = "".$locale['TOP_105']." $name[$i].\n".$locale['TOP_219']." $top_name.\n".$locale['TOP_212']."\n$reason[$i]\n\n".$locale['TOP_221']." \n$top_name.\n";
		mail($top_email[$i],"".$locale['TOP_220']."",$msg,"From: $admin_top_email\nReply-To: $admin_top_email");
		++$delete_count;
	}
}

$ignored_count=$num_rows-$insert_count-$delete_count;

echo "
<table align='center' border='0' cellpadding='5' cellspacing='0' width='90%'>
	<tr>
		<td align='center'><br><table>
		<tr>
			<td>
		<b>".$insert_count." ".$locale['TOP_215']."</b><br><br>
		<b>".$delete_count." ".$locale['TOP_216']."</b><br><br>
		<b>".$ignored_count." ".$locale['TOP_217']."</b><br><br><br>
		</font><br><br></td>
		</tr>
		</table></td>
	</tr>
</table>
	";

	
closetable();


require_once THEMES."templates/footer.php";
?>