<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."topliste/infusion_db.php";

if (!checkrights("IP")) redirect("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."topliste/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."topliste/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.	
	include INFUSIONS."topliste/locale/English.php";
}
error_reporting(E_ALL ^ E_NOTICE);
opentable($locale['TOP_140']); 
include INFUSIONS."topliste/admin/header.php";

if ($action == "update") {

	$fp = fopen ("../top_config.php","w");
	fputs ($fp,"<?\n");
	
	if ($t_step < 1) $t_step = 10;
	$putstr = "\$t_step = \"".$t_step."\";\n";
	fputs ($fp,$putstr);

	if ($last_ssites < 1) $last_ssites = 10;
	$putstr = "\$last_ssites = \"".$last_ssites."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$max_banner_width = \"".$max_banner_width."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$max_banner_height = \"".$max_banner_height."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$title_l = \"".$title_l."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$top_description_l = \"".$top_description_l."\";\n";
	fputs ($fp,$putstr);
	
	$putstr = "\$url_no_images = \"".$url_no_images."\";\n";
	fputs ($fp,$putstr);
	
	$putstr = "\$no_imagesh = \"".$no_imagesh."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$no_imagesw = \"".$no_imagesw."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$use_vote_image = \"".$use_vote_image."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$vote_image_url = \"".$vote_image_url."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$url_to_folder = \"".$url_to_folder."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$full_path = \"".$full_path."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$reset_log_file = \"".$reset_log_file."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$count_log_file = \"".$count_log_file."\";\n";
	fputs ($fp,$putstr);

	if ($use_cookies > 1)  $use_cookies = 1;
	$putstr = "\$use_cookies = \"".$use_cookies."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$vote_timeout = \"".$vote_timeout."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$gateway = \"".$gateway."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$days_to_reset = \"".$days_to_reset."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$new_site_days = \"".$new_site_days."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$new_site_image = \"".$new_site_image."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$hot_site_image = \"".$hot_site_image."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$use_cool = \"".$use_cool."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$cool_site_image = \"".$cool_site_image."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$top_name = \"".$top_name."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$admin_top_email = \"".$admin_top_email."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$new_member = \"".$new_member."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$auto_validation = \"".$auto_validation."\";\n";
	fputs ($fp,$putstr);
	
	$putstr = "\$auto_banner = \"".$auto_banner."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$use_ruels = \"".$use_ruels."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$add_ruels = \"".$add_ruels."\";\n";
	fputs ($fp,$putstr);


	$putstr = "\$min_hits = \"".$min_hits."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$use_review = \"".$use_review."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$review_step = \"".$review_step."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$use_taf = \"".$use_taf."\";\n";
	fputs ($fp,$putstr);
	
	$putstr = "\$r_subject = \"".$r_subject."\";\n";
	fputs ($fp,$putstr);
	

	$putstr = "\$use_rating = \"".$use_rating."\";\n";
	fputs ($fp,$putstr);


	$putstr = "\$anti_cheat_message = \"".$anti_cheat_message."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$vote_log_message = \"".$vote_log_message."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$cookie_message = \"".$cookie_message."\";\n";
	fputs ($fp,$putstr);

	$putstr = "\$ver = \"1.0\";\n";
	fputs ($fp,$putstr);

	fputs ($fp,"include_once(\"\$full_path/functions.php\");\n");

	fputs ($fp,"?>\n");
	fclose($fp);

	echo "<center><br><b>".$locale['TOP_055']."</b>";


}

else {

include "../top_config.php";

?>
<form action=setup.php method=post>
<br><br><table border=0 align=center cellpadding=3 cellspacing=1 width=90% >
	

	<tr>
		<td width=40%>
<?
			echo " <b>".$locale['TOP_146']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=t_step value="<? echo $t_step;?>"> (<A href="javascript:moreInfo('help.php#t_step')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_147']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=last_ssites value="<? echo $last_ssites;?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>Max. ".$locale['TOP_148']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=max_banner_width value="<? echo $max_banner_width;?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>Max. ".$locale['TOP_149']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=max_banner_height value="<? echo $max_banner_height;?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_150']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=title_l value="<? echo $title_l;?>"> (Max 30) (<A href="javascript:moreInfo('help.php#title_l')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_151']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=top_description_l value="<? echo $top_description_l;?>"> (Max 255) (<A href="javascript:moreInfo('help.php#top_description_l')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_227']."</b>";
?>
		</td>
		<td>
		<input class=textbox type=text size=60 name=url_no_images value="<? echo $url_no_images;?>"> (<A href="javascript:moreInfo('help.php#no_images')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
	<?
			echo " <b>Max. ".$locale['TOP_228']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=no_imagesw value="<? echo $no_imagesw;?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>Max. ".$locale['TOP_229']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=no_imagesh value="<? echo $no_imagesh;?>">	  </td>
	</tr>
	<tr>
		<td>


<?
			echo " <b>".$locale['TOP_145']."</b>";

?>
		</td>
		<td>
			<select name=use_vote_image class=textbox >
				<option value=1 <? if ($use_vote_image == 1) echo "selected";?>><? echo "".$locale['TOP_138']."";?>
				<option value=0 <? if ($use_vote_image == 0) echo "selected";?>><? echo "".$locale['TOP_137']."";?>
				</option>
	  </select>	  </td>
	</tr>
	<tr>
		<td>

<?
			echo " <b>".$locale['TOP_152']."</b>";

?>
		</td>
		<td>
		<input class=textbox type=text size=60 name=vote_image_url value="<? echo $vote_image_url;?>"> (<A href="javascript:moreInfo('help.php#vote_image_url')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_153']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=60 name=url_to_folder value="<? echo $url_to_folder;?>"> (<A href="javascript:moreInfo('help.php#url_to_folder')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_154']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=60 name=full_path value="<? echo $full_path;?>"> (<A href="javascript:moreInfo('help.php#full_path')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_155']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=60 name=reset_log_file value="<? echo $reset_log_file;?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_156']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=60 name=count_log_file value="<? echo $count_log_file; ?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_157']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=vote_timeout value="<? echo $vote_timeout;?>"> (<A href="javascript:moreInfo('help.php#vote_timeout')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_158']."</b>";
?>
		</td>
		<td>
			<select name=use_cookies class=textbox>
				<option value=1 <? if ($use_cookies == 1) echo "selected";?>><? echo "".$locale['TOP_138']."";?>
				<option value=0 <? if ($use_cookies == 0) echo "selected";?>><? echo "".$locale['TOP_137']."";?>
				</option>
	  </select>	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_159']."</b>";
?>
		</td>
		<td>
			<select name=gateway class=textbox>
				<option value=1 <? if ($gateway == 1) echo "selected";?>><? echo "".$locale['TOP_138']."";?>
				<option value=0 <? if ($gateway == 0) echo "selected";?>><? echo "".$locale['TOP_137']."";?>
				</option>
	  </select>	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_160']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=days_to_reset value="<? echo $days_to_reset;?>"> (<A href="javascript:moreInfo('help.php#days_to_reset')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_161']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=new_site_days value="<? echo $new_site_days;?>"> (<A href="javascript:moreInfo('help.php#new_site_days')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_162']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=60 name=new_site_image value="<? echo $new_site_image;?>"> (<A href="javascript:moreInfo('help.php#new_site_image')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_163']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=60 name=hot_site_image value="<? echo $hot_site_image;?>"> (<A href="javascript:moreInfo('help.php#hot_site_image')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_164']."</b>";
?>
		</td>                  
		<td>
			<select name=use_cool class=textbox>
				<option value=1 <? if ($use_cool == "1") echo "selected";?>><? echo "".$locale['TOP_138']."";?>
				<option value=0 <? if ($use_cool == "0") echo "selected";?>><? echo "".$locale['TOP_137']."";?>
				</option>
	  </select> (<A href="javascript:moreInfo('help.php#use_cool')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_165']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=60 name=cool_site_image value="<? echo $cool_site_image;?>"> (<A href="javascript:moreInfo('help.php#cool_site_image')">?</A>)	  </td>
	</tr>

	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_166']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=30 name=top_name value="<? echo $top_name;?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_167']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=30 name=admin_top_email value="<? echo $admin_top_email;?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_168']."</b>";
?>
		</td>
		<td>
			<select name=new_member class=textbox>
				<option value=yes <? if ($new_member == "yes") echo "selected";?>><? echo "".$locale['TOP_138']."";?>
				<option value=no <? if ($new_member == "no") echo "selected";?>><? echo "".$locale['TOP_137']."";?>
				</option>
	  </select>	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_169']."</b>";
?>
		</td>
		<td>
			<select name=auto_validation class=textbox>
				<option value=yes <? if ($auto_validation == "yes") echo "selected";?>><? echo "".$locale['TOP_138']."";?>
				<option value=no <? if ($auto_validation == "no") echo "selected";?>><? echo "".$locale['TOP_137']."";?>
				</option>
	  </select> (<A href="javascript:moreInfo('help.php#auto_validation')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_170']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=min_hits value="<? echo $min_hits;?>"> (<A href="javascript:moreInfo('help.php#min_hits')">?</A>)	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_171']."</b>";
?>
		</td>
		<td>
			<select name=use_review class=textbox>
				<option value=1 <? if ($use_review == "1") echo "selected";?>><? echo "".$locale['TOP_138']."";?>
				<option value=0 <? if ($use_review == "0") echo "selected";?>><? echo "".$locale['TOP_137']."";?>
				</option>
	  </select>	  </td>
	</tr>
	<tr>
		<td>
	<?
			echo " <b>".$locale['TOP_068']."</b>";
?>
		</td>
		<td>
			<select name=auto_banner class=textbox>
				<option value=1 <? if ($auto_banner == "1") echo "selected";?>><? echo "".$locale['TOP_138']."";?>
				<option value=0 <? if ($auto_banner == "0") echo "selected";?>><? echo "".$locale['TOP_137']."";?>
				</option>
	  </select>	  </td>
	</tr>
	<tr>
		<td>
	
<?
			echo " <b>".$locale['TOP_084']."</b>";
?>
		</td>
		<td>
			<select name=use_ruels class=textbox>
				<option value=1 <? if ($use_ruels == "1") echo "selected";?>><? echo "".$locale['TOP_138']."";?>
				<option value=0 <? if ($use_ruels == "0") echo "selected";?>><? echo "".$locale['TOP_137']."";?>
				</option>
	  </select>	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_021']."</b>";
?>
		</td>
		<td>
<textarea name='add_ruels' rows='5' class='textbox' style='width:350px'><? echo $add_ruels;?></textarea>
				  </td>
	</tr>
	<tr>
		<td>
		
<?
			echo " <b>".$locale['TOP_172']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=4 name=review_step value="<? echo $review_step;?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_173']."</b>";
?>
		</td>
		<td>
			<select name=use_taf class=textbox>
				<option value=1 <? if ($use_taf == "1") echo "selected";?>><? echo "".$locale['TOP_138']."";?>
				<option value=0 <? if ($use_taf == "0") echo "selected";?>><? echo "".$locale['TOP_137']."";?>
				</option>
	  </select>	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_174']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=30 name=r_subject value="<? echo $r_subject;?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_175']."</b>";
?>
		</td>
		<td>
			<select name=use_rating class=textbox>
				<option value=1 <? if ($use_rating == "1") echo "selected";?>><? echo "".$locale['TOP_138']."";?>
				<option value=0 <? if ($use_rating == "0") echo "selected";?>><? echo "".$locale['TOP_137']."";?>
				</option>
	  </select> (<A href="javascript:moreInfo('help.php#use_rating')">?</A>)	  </td>             
	</tr>
		<tr>
		<td>
<?
			echo " <b>".$locale['TOP_176']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=70 name=anti_cheat_message value="<? echo $anti_cheat_message;?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_177']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=70 name=vote_log_message value="<? echo $vote_log_message;?>">	  </td>
	</tr>
	<tr>
		<td>
<?
			echo " <b>".$locale['TOP_178']."</b>";
?>
		</td>
		<td>
			<input class=textbox type=text size=70 name=cookie_message value="<? echo $cookie_message;?>">	  </td>
	</tr>
	<tr><td colspan=2 align=center><input class=textbox type=submit name=submit></tr>
</table>
<input class=textbox type=hidden name=action value=update>
<input class=textbox type=hidden name=ver value=<? echo $ver;?>>
</form>
<?

}



closetable();

require_once THEMES."templates/footer.php";
?>